Bug 1023033 - Missing methods from RemoteCacheManager
Missing methods from RemoteCacheManager
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: CPP Client (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER5
: 6.2.0
Assigned To: Tristan Tarrant
Alan Field
:
Depends On:
Blocks: 1017190
  Show dependency treegraph
 
Reported: 2013-10-24 09:27 EDT by Alan Field
Modified: 2014-11-30 16:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The RemoteCacheManager class does not have the following methods which are available to the Java version of the client. <itemizedlist> <listitem> <para>getCache(boolean)</para> </listitem> <listitem> <para>getCache(String, boolean)</para> </listitem> <listitem> <para>getMarshaller()</para> </listitem> </itemizedlist> Consequently, the C++ Hot Rod cannot use these methods. </para> <para> As a workaround, instead of getCache(true), use getCache(cache_name) to get the named cache and then make the cache calls with .withFlags(Flag.FORCE_RETURN_VALUE). </para> <para> Instead of getCache(cache_name, true), use getCache(cache_name) to get the named cache and then make the cache calls with .withFlags(Flag.FORCE_RETURN_VALUE).
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HRCPP-41 Critical Closed Missing methods from RemoteCacheManager 2013-12-17 13:32:32 EST

  None (edit)
Description Alan Field 2013-10-24 09:27:30 EDT
JDG tracking bug
Comment 4 Alan Field 2013-12-17 13:32:26 EST
Verified in ER5 that RemoteCacheManager includes all methods except isStarted(). I have a PR ready to submit that adds this method as soon as a couple of other PRs are integrated.

Note You need to log in before you can comment on or make changes to this bug.